# Pepperminty Wiki Module API

# modulesfeature-user-table.php

Package
  \Default

## Tags

None found

## Functions

### generate_password()

    generate_password(string  $length) : string

Generates a new (cryptographically secure) random password that's also readable (i.e. consonant-vowel-consonant).

This implementation may be changed in the future to use random dictionary words instead - ref https://xkcd.com/936/

#### Parameters

string | $length | The length of password to generate.

#### Returns

string —

The generated random password.

#

File
  modules/feature-user-table.php

## Tags

package | Default

###